Mail archive
alpine-aports

[alpine-aports] testing/readosm: new aport

From: Bjoern Schilberg <bjoern_at_intevation.de>
Date: Tue, 22 May 2018 20:50:28 +0200

---
 testing/readosm/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/readosm/APKBUILD
diff --git a/testing/readosm/APKBUILD b/testing/readosm/APKBUILD
new file mode 100644
index 0000000000..a0bb71196a
--- /dev/null
+++ b/testing/readosm/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Bjoern Schilberg <bjoern_at_intevation.de>
+# Maintainer: Bjoern Schilberg <bjoern_at_intevation.de>
+pkgname=readosm
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="Library to extract valid data from an Open Street Map input file."
+url="https://www.gaia-gis.it/fossil/readosm/index"
+arch="x86_64"
+license="MPL 1.1, GPL v2.0, LGPL v2.1"
+depends="expat zlib"
+depends_dev="expat-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.gaia-gis.it/gaia-sins/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure --prefix /usr
+	make -j1 || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/
+}
+sha512sums="d3581f564c4461c6a1a3d5fd7d18a262c884b2ac935530064bfaebd6c05d692fb92cc600fb40e87e03f7160ebf0eeeb05f51a0e257935d056b233fe28fc01a11  readosm-1.1.0.tar.gz"
-- 
2.15.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 22 2018 - 20:50:28 GMT